#> minecraft_but.core:menu/main
# Main chat page triggered by a player
# @user
# @within minecraft_but.core:modifiers/menu/**

#> Update page score
scoreboard players set @s minecraft_but.menu.page 1

#> Disable sendCommandFeedback
gamerule sendCommandFeedback false

#> Set sendCommandFeedback back next tick
schedule function minecraft_but.core:menu/actions/enable_feedback 1t append

#> Top Bar
tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"Minecraft, ","color":"#6BD716"},{"text":"but ","bold":true,"color":"#6BD716"},{"text":"— a data pack by ","color":"#ECEFF5"},{"text":"AmericanBagel","color":"#EB0DD7","hoverEvent": {"action": "show_text","contents":{"text":"The best of the best!","color":"#eceff5"}}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

#> Toggle button
# Show "ENABLE" if enabled
execute if score .global minecraft_but.toggle matches 1 run tellraw @s ["                        ",{"text":"[✔]","bold":true,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/toggle"}},{"text":" ENABLED","color":"#3ED011","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to turn the data pack ","color":"#ECEFF5"},{"text":"OFF","bold":true,"color":"#FF0000"},{"text":".","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/toggle"}}]

# Show "DISABLE" if disabled
execute if score .global minecraft_but.toggle matches 0 run tellraw @s ["                        ",{"text":"[✖]","bold":true,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/toggle"}},{"text":" DISABLED","color":"#FF0000","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to turn the data pack ","color":"#ECEFF5"},{"text":"ON","bold":true,"color":"#3ED011"},{"text":".","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/toggle"}}]

# Modifiers
tellraw @s [{"text":" |→ ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Information","color":"#E4EB18"},{"text":" page which has information about this data pack and how to use it.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/information"}},{"text":"Information","color":"#E4EB18","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Information","color":"#E4EB18"},{"text":" page.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/information"}},"\n",{"text":" |→ ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Modifiers","color":"#CF2020"},{"text":" page which allows you to toggle and configure \"Minecraft, but\" gameplay modifiers.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers"}},{"text":"Modifiers","color":"#CF2020","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Modifiers","color":"#CF2020"},{"text":" page which allows you to toggle and configure \"Minecraft, but\" gameplay modifiers.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers"}}]

# Config
# tellraw @s [{"text":" |→ ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Config","color":"#20CBA8"},{"text":" page which allows you to configure the data pack.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/config"}},{"text":"Config","color":"#20CBA8","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Config","color":"#20CBA8"},{"text":" page which allows you to configure the data pack.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/config"}}]

# Admin Panel
# TODO: Issue #13
# tellraw @s [{"text":" |→ ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Admin Panel","color":"#801212"},{"text":" page for including and excluding players from being affected by modifiers and for selecting who can configure the data pack.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/admin_panel"}},{"text":"Admin Panel","color":"#801212","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Admin Panel","color":"#801212"},{"text":" page for including and excluding players from being affected by modifiers and for selecting who can configure the data pack.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/admin_panel"}},"\n"]

tellraw @s [""]

#> Modifiers active
#execute unless score $total minecraft_but.toggle matches 1.. run tellraw @s {"text":"No modifiers active","color":"#CF2020"}
execute if score $total minecraft_but.toggle matches 1 run tellraw @s {"text":"One modifier active","color":"#17B7CD"}
execute if score $total minecraft_but.toggle matches 2.. run tellraw @s [{"score":{"name":"$total","objective":"minecraft_but.toggle"},"color":"#17B7CD"},{"text":" modifiers active","color":"#17B7CD"}]

#> Difficulty
## Default
# Peaceful
execute unless score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 0 run tellraw @s [{"text":"Difficulty: ","color":"#20CBA8"},{"text":"[←]  ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Peaceful ☮","color":"#44F044","hoverEvent":{"action":"show_text","contents":[{"text":"Peaceful","color":"#44F044"},{"text":" is just as its name implies: peaceful! Is it perfectly easy and relaxing? Yes! Is it fun? Well...","color":"#ECEFF5"}]}},{"text":"  [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]
# Easy
execute unless score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 1 run tellraw @s [{"text":"Difficulty: ","color":"#20CBA8"},{"text":"[←]     ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Easy ☺","color":"#3ED011","hoverEvent":{"action":"show_text","contents":[{"text":"Easy","color":"#3ED011"},{"text":" is the difficulty for people looking for a relaxed, casual experience. Don't listen to your friends! Oh, you don't have friends? Uh... Anyway, You're not a chicken! You're just...","color":"#ECEFF5"}]}},{"text":"     [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]
# Normal
execute unless score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 2 run tellraw @s [{"text":"Difficulty: ","color":"#20CBA8"},{"text":"[←]   ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Normal ☯","color":"#E4EB18","hoverEvent":{"action":"show_text","contents":[{"text":"Normal","color":"#E4EB18"},{"text":" is the default difficulty with modifiers just the way they were intended — not too easy but not too hard.","color":"#ECEFF5"}]}},{"text":"    [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]
# Hard
execute unless score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 3 run tellraw @s [{"text":"Difficulty: ","color":"#20CBA8"},{"text":"[←]     ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Hard ☠","color":"#FF0000","hoverEvent":{"action":"show_text","contents":[{"text":"Hard","color":"#FF0000"},{"text":" is the most brutal difficulty for people who like absolute destruction and chaos. Destruction? Certainly. Death? More than you can count. Lag? Oh yeah! Fun? ¯\\_(ツ)_/¯","color":"#ECEFF5"}]}},{"text":"     [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]

## Custom
# Peaceful
execute if score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 0 run tellraw @s [{"text":"[","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"⟲","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"]","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":" Difficulty: ","color":"#20CBA8"},{"text":"[←]  ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Peaceful ☮","color":"#44F044","hoverEvent":{"action":"show_text","contents":[{"text":"Peaceful","color":"#44F044"},{"text":" is just as its name implies: peaceful! Is it perfectly easy and relaxing? Yes! Is it fun? Well...","color":"#ECEFF5"}]}},{"text":"  [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]
# Easy
execute if score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 1 run tellraw @s [{"text":"[","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"⟲","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"]","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":" Difficulty: ","color":"#20CBA8"},{"text":"[←]     ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Easy ☺","color":"#3ED011","hoverEvent":{"action":"show_text","contents":[{"text":"Easy","color":"#3ED011"},{"text":" is the difficulty for people looking for a relaxed, casual experience. Don't listen to your friends! Oh, you don't have friends? Uh... Anyway, You're not a chicken! You're just...","color":"#ECEFF5"}]}},{"text":"     [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]
# Normal
execute if score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 2 run tellraw @s [{"text":"[","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"⟲","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"]","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":" Difficulty: ","color":"#20CBA8"},{"text":"[←]   ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Normal ☯","color":"#E4EB18","hoverEvent":{"action":"show_text","contents":[{"text":"Normal","color":"#E4EB18"},{"text":" is the default difficulty with modifiers just the way they were intended — not too easy but not too hard.","color":"#ECEFF5"}]}},{"text":"    [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]
# Hard
execute if score difficulty.global minecraft_but.custom matches -2147483648..2147483647 if score difficulty.global minecraft_but.config matches 3 run tellraw @s [{"text":"[","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"⟲","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":"]","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reset_difficulty"}},{"text":" Difficulty: ","color":"#20CBA8"},{"text":"[←]     ","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to decrease the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/previous_difficulty"}},{"text":"Hard ☠","color":"#FF0000","hoverEvent":{"action":"show_text","contents":[{"text":"Hard","color":"#FF0000"},{"text":" is the most brutal difficulty for people who like absolute destruction and chaos. Destruction? Certainly. Death? More than you can count. Lag? Oh yeah! Fun? ¯\\_(ツ)_/¯","color":"#ECEFF5"}]}},{"text":"     [→]","color":"#ECEFF5","hoverEvent":{"action":"show_text","contents":[{"text":"Click here to increase the difficulty.","color":"#ECEFF5"}]},"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_difficulty"}},"\n"]

#> Mode
# Manual
execute if score mode minecraft_but.config matches 1 run tellraw @p ["",{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/categories"},"hoverEvent": {"action":"show_text","contents":[{"text":"Manual mode has no configuration page since it's up to you to configure the modifiers. Click here to go to the ","color":"#ECEFF5"},{"text":"Modifiers","color":"#CF2020"},{"text":" page.","color":"#ECEFF5"}]}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/categories"},"hoverEvent": {"action":"show_text","contents":[{"text":"Manual mode has no configuration page since it's up to you to configure the modifiers. Click here to go to the ","color":"#ECEFF5"},{"text":"Modifiers","color":"#CF2020"},{"text":" page.","color":"#ECEFF5"}]}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/categories"},"hoverEvent": {"action":"show_text","contents":[{"text":"Manual mode has no configuration page since it's up to you to configure the modifiers. Click here to go to the ","color":"#ECEFF5"},{"text":"Modifiers","color":"#CF2020"},{"text":" page.","color":"#ECEFF5"}]}},{"text":"[⇄] ","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_mode"},"hoverEvent": {"action":"show_text","contents":[{"text":"Click here to swap to ","color":"#ECEFF5"},{"text":"Manual","color":"#07cdf9"},{"text":" mode.","color":"#ECEFF5"}]}},{"text":"Mode: ","color":"#a6fc1b","hoverEvent":{"action":"show_text","contents":[{"text":"Modes","color":"#a6fc1b"},{"text":" affect how modifiers are selected -- either manually or randomly.","color":"#ECEFF5"}]}},{"text":"Manual","color":"#07cdf9","hoverEvent": {"action":"show_text","contents":[{"text":"Manual","color":"#07cdf9"},{"text":" mode allows you to manually enable or disable modifiers, giving you fine control over how you want your gameplay. The sky is the limit!\n\n","color":"#ECEFF5"},{"text":"This is the recommended mode. Have fun!","color":"#3ED011"}]}}]
 
# Random
execute if score mode minecraft_but.config matches 2 run tellraw @p ["",{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/random/config"},"hoverEvent": {"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Random","color":"#fc623c"},{"text":" mode ","color":"#ECEFF5"},{"text":"Configuration","color":"#CACACA"},{"text":" page.","color":"#ECEFF5"}]}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/random/config"},"hoverEvent": {"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Random","color":"#fc623c"},{"text":" mode ","color":"#ECEFF5"},{"text":"Configuration","color":"#CACACA"},{"text":" page.","color":"#ECEFF5"}]}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/random/config"},"hoverEvent": {"action":"show_text","contents":[{"text":"Click here to go to the ","color":"#ECEFF5"},{"text":"Random","color":"#fc623c"},{"text":" mode ","color":"#ECEFF5"},{"text":"Configuration","color":"#CACACA"},{"text":" page.","color":"#ECEFF5"}]}},{"text":"[⇄] ","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/next_mode"},"hoverEvent": {"action":"show_text","contents":[{"text":"Click here to swap to ","color":"#ECEFF5"},{"text":"Manual","color":"#07cdf9"},{"text":" mode.","color":"#ECEFF5"}]}},{"text":"Mode: ","color":"#a6fc1b","hoverEvent":{"action":"show_text","contents":[{"text":"Modes","color":"#a6fc1b"},{"text":" affect how modifiers are selected -- either manually or randomly.","color":"#ECEFF5"}]}},{"text":"Random","color":"#fc623c","hoverEvent": {"action": "show_text","contents":[{"text":"Random","color":"#fc623c"},{"text":" mode is for people are: indecisive, bored, masochistic, sadistic, or want to see how hot a PC can get. Modifiers are randomly turned on or off. Chaos! Pure chaos!\n","color":"#ECEFF5"},{"text":"WARNING:","bold":true,"underlined":true,"color":"#ff0000"},{"text":" This mode is experimental, is likely to break, and is, in ","color":"#dd0606"},{"text":"AmericanBagel","color":"#EB0DD7"},{"text":"'s opinion, ","color":"#dd0606"},{"text":"NOT FUN.","underlined":true,"color":"#dd0606"},{"text":" Use at your own risk and, as with usage of any datapack, you or your server's admin are responsible for backing up your world!","color":"#dd0606"}]}},{"text":" [⚄] ","color":"#DA3333","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/reroll"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to select new random modifiers.","color":"#ECEFF5"}]}}]

tellraw @s ["\n",{"text":"[","color":"#dd0606","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:uninstall"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to ","color":"#eceff5"}, {"text":"uninstall","bold":true,"color":"#ff0000"},{"text":" this data pack. This will ","color":"#eceff5"},{"text":"permanently ","bold":true,"color":"#ff0000"},{"text":"and ","color":"#eceff5"},{"text":"irrevocably ","bold":true,"color":"#ff0000"},{"text":"remove the configurations you have made.","color":"#eceff5"}]}},{"text":"⚠","bold":true,"color":"#dd0606","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:uninstall"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to ","color":"#eceff5"}, {"text":"uninstall","bold":true,"color":"#ff0000"},{"text":" this data pack. This will ","color":"#eceff5"},{"text":"permanently ","bold":true,"color":"#ff0000"},{"text":"and ","color":"#eceff5"},{"text":"irrevocably ","bold":true,"color":"#ff0000"},{"text":"remove the configurations you have made.","color":"#eceff5"}]}},{"text":"]","color":"#dd0606","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:uninstall"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to ","color":"#eceff5"}, {"text":"uninstall","bold":true,"color":"#ff0000"},{"text":" this data pack. This will ","color":"#eceff5"},{"text":"permanently ","bold":true,"color":"#ff0000"},{"text":"and ","color":"#eceff5"},{"text":"irrevocably ","bold":true,"color":"#ff0000"},{"text":"remove the configurations you have made.","color":"#eceff5"}]}},{"text":" Uninstall","color":"#dd0606","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:uninstall"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to ","color":"#eceff5"}, {"text":"uninstall","bold":true,"color":"#ff0000"},{"text":" this data pack. This will ","color":"#eceff5"},{"text":"permanently ","bold":true,"color":"#ff0000"},{"text":"and ","color":"#eceff5"},{"text":"irrevocably ","bold":true,"color":"#ff0000"},{"text":"remove the configurations you have made.","color":"#eceff5"}]}}]

#> Expansion Packs
execute if data storage minecraft_but.ex1 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex1","interpret":true}
execute if data storage minecraft_but.ex2 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex2","interpret":true}
execute if data storage minecraft_but.ex3 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex3","interpret":true}
execute if data storage minecraft_but.ex4 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex4","interpret":true}
execute if data storage minecraft_but.ex5 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex5","interpret":true}
execute if data storage minecraft_but.ex6 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex6","interpret":true}
execute if data storage minecraft_but.ex7 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex7","interpret":true}
execute if data storage minecraft_but.ex8 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex8","interpret":true}
execute if data storage minecraft_but.ex9 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex9","interpret":true}
execute if data storage minecraft_but.ex10 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex10","interpret":true}
execute if data storage minecraft_but.ex11 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex11","interpret":true}
execute if data storage minecraft_but.ex12 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex12","interpret":true}
execute if data storage minecraft_but.ex13 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex13","interpret":true}
execute if data storage minecraft_but.ex14 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex14","interpret":true}
execute if data storage minecraft_but.ex15 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex15","interpret":true}
execute if data storage minecraft_but.ex16 main_menu run tellraw @p {"nbt":"title","storage":"minecraft_but.ex16","interpret":true}