#> minecraft_but.core:menu/modifiers/core/chaos
# List of Chaos (chaos) modifiers. This file is automatically generated.
# @within minecraft_but.core:menu/**
# @context menu player

#> Click sound
function minecraft_but.core:menu/actions/click

#> Update page score
scoreboard players set @s minecraft_but.menu.page 12

#> Disable sendCommandFeedback
gamerule sendCommandFeedback false

#> Set sendCommandFeedback back next tick
schedule function minecraft_but.core:menu/actions/enable_feedback 1t append

#> Header

# If there are no expansion loaded, clicking top bar sends player back to main menu.
# Doing this gets rid of that unnecessary step between directory and page 1 here.
execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},{"text":" Chaos","color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

# If there is an expansion loaded, clicking top bar sends the player to the modifiers directory
# which has links to the different expansion packs' modifiers pages.
execute if score $total minecraft_but.expansion matches 1.. run execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},{"text":" Modifier Categories","color":"#E4EB18","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

#> Modifiers
## Anvils rain from the sky (anvil_rain)
execute unless score anvil_rain minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/config"}},{"text":"Anvils rain from the sky","bold":false,"color":"#ff0000","hoverEvent": {"action":"show_text","contents":[{"text":"Anvils rain from the sky threatening to crush your dreams.\n\nThe Aerial Anvil Attack Force commented on why they do it. 'We just follow gravity,' General Iron Krush said. 'Who are we to deny what the universe demands of us? We fall and we crush things. That is our purpose.'","color":"#ECEFF5"}]}}]



execute if score anvil_rain minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/anvil_rain/config"}},{"text":"Anvils rain from the sky","bold":false,"color":"#ff0000","hoverEvent": {"action":"show_text","contents":[{"text":"Anvils rain from the sky threatening to crush your dreams.\n\nThe Aerial Anvil Attack Force commented on why they do it. 'We just follow gravity,' General Iron Krush said. 'Who are we to deny what the universe demands of us? We fall and we crush things. That is our purpose.'","color":"#ECEFF5"}]}}]

## [ ERR: CHUNK ERROR IN R.0.0.MCA ] (chunk_error)
execute unless score chunk_error minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/config"}},{"text":"[ ERR: CHUNK ERROR IN R.0.0.MCA ]","bold":false,"color":"#ea062a","hoverEvent": {"action":"show_text","contents":[{"text":"Due to an error in chunk loading, chunks around players have a chance to disappear.","color":"#ECEFF5"}]}}]



execute if score chunk_error minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/chunk_error/config"}},{"text":"[ ERR: CHUNK ERROR IN R.0.0.MCA ]","bold":false,"color":"#ea062a","hoverEvent": {"action":"show_text","contents":[{"text":"Due to an error in chunk loading, chunks around players have a chance to disappear.","color":"#ECEFF5"}]}}]

## An orb of death relentlessly follows you (death_orb)
execute unless score death_orb minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/config"}},{"text":"An orb of death relentlessly follows you","bold":false,"color":"#d40b54","hoverEvent": {"action":"show_text","contents":[{"text":"An orb of death pursues you, never stopping, always moving towards your inevitable demise. Don't think you can run away. The farther away you are, the faster it gets. The void is always reaching, always thirsting for your demise.\n\n\"Some people call me cruel,\" Death Orb said. \"I just do what I've always aspired to be. Since a child, I've always dreamed of bringing the Eternal Void, Ever Consuming, Ever Destroying, Always Thirsting. This truly is a dream come true. I thank everyone who has helped me come into this position. I especially thank my mother, who always helps when I doubt myself. The Void will come, the Void will consume, the Always Nothingness will reign because of what you've all done for me. Thank you all so much,\" he said, tears in his eyes.","color":"#ECEFF5"}]}}]



execute if score death_orb minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_orb/config"}},{"text":"An orb of death relentlessly follows you","bold":false,"color":"#d40b54","hoverEvent": {"action":"show_text","contents":[{"text":"An orb of death pursues you, never stopping, always moving towards your inevitable demise. Don't think you can run away. The farther away you are, the faster it gets. The void is always reaching, always thirsting for your demise.\n\n\"Some people call me cruel,\" Death Orb said. \"I just do what I've always aspired to be. Since a child, I've always dreamed of bringing the Eternal Void, Ever Consuming, Ever Destroying, Always Thirsting. This truly is a dream come true. I thank everyone who has helped me come into this position. I especially thank my mother, who always helps when I doubt myself. The Void will come, the Void will consume, the Always Nothingness will reign because of what you've all done for me. Thank you all so much,\" he said, tears in his eyes.","color":"#ECEFF5"}]}}]

## The world disintegrates (degradation)
execute unless score degradation minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/config"}},{"text":"The world disintegrates","bold":false,"color":"#bf117e","hoverEvent": {"action":"show_text","contents":[{"text":"Blocks around you randomly disappear. The world gradually degradates, desintegrates. The world will not last long.","color":"#ECEFF5"}]}}]



execute if score degradation minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/degradation/config"}},{"text":"The world disintegrates","bold":false,"color":"#bf117e","hoverEvent": {"action":"show_text","contents":[{"text":"Blocks around you randomly disappear. The world gradually degradates, desintegrates. The world will not last long.","color":"#ECEFF5"}]}}]

## Fire rains from the sky (fire_rain)
execute unless score fire_rain minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_rain/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Fire rains from the sky. The end is nigh.","color":"#ECEFF5"}]}},{"text":"Fire rains from the sky","bold":false,"color":"#aa17a7","hoverEvent": {"action":"show_text","contents":[{"text":"Fire rains from the sky. The end is nigh.","color":"#ECEFF5"}]}}]


execute if score fire_rain minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_rain/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Fire rains from the sky. The end is nigh.","color":"#ECEFF5"}]}},{"text":"Fire rains from the sky","bold":false,"color":"#aa17a7","hoverEvent": {"action":"show_text","contents":[{"text":"Fire rains from the sky. The end is nigh.","color":"#ECEFF5"}]}}]

## Everything around you turns to fire (fire_walker)
execute unless score fire_walker minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/config"}},{"text":"Everything around you turns to fire","bold":false,"color":"#941cd1","hoverEvent": {"action":"show_text","contents":[{"text":"Your journey blazes behind it a path of ashen sorrow and furious cinders.","color":"#ECEFF5"}]}}]



execute if score fire_walker minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fire_walker/config"}},{"text":"Everything around you turns to fire","bold":false,"color":"#941cd1","hoverEvent": {"action":"show_text","contents":[{"text":"Your journey blazes behind it a path of ashen sorrow and furious cinders.","color":"#ECEFF5"}]}}]

## Lightning is everywhere (lightning_storm)
execute unless score lightning_storm minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/config"}},{"text":"Lightning is everywhere","bold":false,"color":"#7f22fb","hoverEvent": {"action":"show_text","contents":[{"text":"Lightning, thunder! So electric! Lightning alights the heavens, and the roar of thunder shakes the world!","color":"#ECEFF5"}]}}]



execute if score lightning_storm minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/lightning_storm/config"}},{"text":"Lightning is everywhere","bold":false,"color":"#7f22fb","hoverEvent": {"action":"show_text","contents":[{"text":"Lightning, thunder! So electric! Lightning alights the heavens, and the roar of thunder shakes the world!","color":"#ECEFF5"}]}}]

## Structures randomly spawn (random_structures)
execute unless score random_structures minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/config"}},{"text":"Structures randomly spawn","bold":false,"color":"#7f22fb","hoverEvent": {"action":"show_text","contents":[{"text":"Structures and world generation features randomly spawn around you, making the terrain absolutely chaotic!","color":"#ECEFF5"}]}}]



execute if score random_structures minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_structures/config"}},{"text":"Structures randomly spawn","bold":false,"color":"#7f22fb","hoverEvent": {"action":"show_text","contents":[{"text":"Structures and world generation features randomly spawn around you, making the terrain absolutely chaotic!","color":"#ECEFF5"}]}}]

