#> minecraft_but.core:menu/modifiers/core/mechanic
# List of Mechanic (mechanic) modifiers. This file is automatically generated.
# @within minecraft_but.core:menu/**
# @context menu player

#> Click sound
function minecraft_but.core:menu/actions/click

#> Update page score
scoreboard players set @s minecraft_but.menu.page 12

#> Disable sendCommandFeedback
gamerule sendCommandFeedback false

#> Set sendCommandFeedback back next tick
schedule function minecraft_but.core:menu/actions/enable_feedback 1t append

#> Header

# If there are no expansion loaded, clicking top bar sends player back to main menu.
# Doing this gets rid of that unnecessary step between directory and page 1 here.
execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},{"text":" Mechanic","color":"#20CBA8","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

# If there is an expansion loaded, clicking top bar sends the player to the modifiers directory
# which has links to the different expansion packs' modifiers pages.
execute if score $total minecraft_but.expansion matches 1.. run execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},{"text":" Modifier Categories","color":"#E4EB18","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

#> Modifiers
## You can't jump (no_jump)
execute unless score no_jump minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/no_jump/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"{\"text\":\"If you jump, you die.\n\nPro tips: TURN OFF AUTOJUMP. Get creative. Use water buckets, ladders, stairs, or anything to give yourself a boost. If you want to make sure you absolutely can't jump, set your jump key to nothing.\n\nIf you see \"Not Bound\", you're good:\"},{\"keybind\":\"key.jump\"}","color":"#ECEFF5"}]}},{"text":"You can't jump","bold":false,"color":"#00edff","hoverEvent": {"action":"show_text","contents":[{"text":"{\"text\":\"If you jump, you die.\n\nPro tips: TURN OFF AUTOJUMP. Get creative. Use water buckets, ladders, stairs, or anything to give yourself a boost. If you want to make sure you absolutely can't jump, set your jump key to nothing.\n\nIf you see \"Not Bound\", you're good:\"},{\"keybind\":\"key.jump\"}","color":"#ECEFF5"}]}}]


execute if score no_jump minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/no_jump/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"{\"text\":\"If you jump, you die.\n\nPro tips: TURN OFF AUTOJUMP. Get creative. Use water buckets, ladders, stairs, or anything to give yourself a boost. If you want to make sure you absolutely can't jump, set your jump key to nothing.\n\nIf you see \"Not Bound\", you're good:\"},{\"keybind\":\"key.jump\"}","color":"#ECEFF5"}]}},{"text":"You can't jump","bold":false,"color":"#00edff","hoverEvent": {"action":"show_text","contents":[{"text":"{\"text\":\"If you jump, you die.\n\nPro tips: TURN OFF AUTOJUMP. Get creative. Use water buckets, ladders, stairs, or anything to give yourself a boost. If you want to make sure you absolutely can't jump, set your jump key to nothing.\n\nIf you see \"Not Bound\", you're good:\"},{\"keybind\":\"key.jump\"}","color":"#ECEFF5"}]}}]

## You can't sneak (no_sneak)
execute unless score no_sneak minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/no_sneak/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"If you sneak, you die. No more bridging across ravines for you! No more hiding from the Warden for you! ","color":"#ECEFF5"}]}},{"text":"You can't sneak","bold":false,"color":"#00f6ba","hoverEvent": {"action":"show_text","contents":[{"text":"If you sneak, you die. No more bridging across ravines for you! No more hiding from the Warden for you! ","color":"#ECEFF5"}]}}]


execute if score no_sneak minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/no_sneak/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"If you sneak, you die. No more bridging across ravines for you! No more hiding from the Warden for you! ","color":"#ECEFF5"}]}},{"text":"You can't sneak","bold":false,"color":"#00f6ba","hoverEvent": {"action":"show_text","contents":[{"text":"If you sneak, you die. No more bridging across ravines for you! No more hiding from the Warden for you! ","color":"#ECEFF5"}]}}]

## You can't kill anything (pacifist)
execute unless score pacifist minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/pacifist/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"If you kill anything, you die. An eye for an eye, a tooth for a tooth, you monster! Do you realize that zombies haves homes? If you want to kill something, get creative, because I am too lazy to code every single edge case!","color":"#ECEFF5"}]}},{"text":"You can't kill anything","bold":false,"color":"#00ff75","hoverEvent": {"action":"show_text","contents":[{"text":"If you kill anything, you die. An eye for an eye, a tooth for a tooth, you monster! Do you realize that zombies haves homes? If you want to kill something, get creative, because I am too lazy to code every single edge case!","color":"#ECEFF5"}]}}]


execute if score pacifist minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/pacifist/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"If you kill anything, you die. An eye for an eye, a tooth for a tooth, you monster! Do you realize that zombies haves homes? If you want to kill something, get creative, because I am too lazy to code every single edge case!","color":"#ECEFF5"}]}},{"text":"You can't kill anything","bold":false,"color":"#00ff75","hoverEvent": {"action":"show_text","contents":[{"text":"If you kill anything, you die. An eye for an eye, a tooth for a tooth, you monster! Do you realize that zombies haves homes? If you want to kill something, get creative, because I am too lazy to code every single edge case!","color":"#ECEFF5"}]}}]

## You can't sprint (schlatt_mode)
execute unless score schlatt_mode minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/schlatt_mode/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Minecraft as it was meant to be. Sprinting is such a waste. It removes all your precious hunger and saturation all for what -- a minor speed boost? Insulting. Almost as bad as stal.","color":"#ECEFF5"}]}},{"text":"You can't sprint","bold":false,"color":"#00ff75","hoverEvent": {"action":"show_text","contents":[{"text":"Minecraft as it was meant to be. Sprinting is such a waste. It removes all your precious hunger and saturation all for what -- a minor speed boost? Insulting. Almost as bad as stal.","color":"#ECEFF5"}]}}]


execute if score schlatt_mode minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/schlatt_mode/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Minecraft as it was meant to be. Sprinting is such a waste. It removes all your precious hunger and saturation all for what -- a minor speed boost? Insulting. Almost as bad as stal.","color":"#ECEFF5"}]}},{"text":"You can't sprint","bold":false,"color":"#00ff75","hoverEvent": {"action":"show_text","contents":[{"text":"Minecraft as it was meant to be. Sprinting is such a waste. It removes all your precious hunger and saturation all for what -- a minor speed boost? Insulting. Almost as bad as stal.","color":"#ECEFF5"}]}}]

