#> minecraft_but.core:menu/modifiers/core/misc
# List of Miscellaneous (misc) modifiers. This file is automatically generated.
# @within minecraft_but.core:menu/**
# @context menu player

#> Click sound
function minecraft_but.core:menu/actions/click

#> Update page score
scoreboard players set @s minecraft_but.menu.page 12

#> Disable sendCommandFeedback
gamerule sendCommandFeedback false

#> Set sendCommandFeedback back next tick
schedule function minecraft_but.core:menu/actions/enable_feedback 1t append

#> Header

# If there are no expansion loaded, clicking top bar sends player back to main menu.
# Doing this gets rid of that unnecessary step between directory and page 1 here.
execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},{"text":" Miscellaneous","color":"#A8A8A8","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

# If there is an expansion loaded, clicking top bar sends the player to the modifiers directory
# which has links to the different expansion packs' modifiers pages.
execute if score $total minecraft_but.expansion matches 1.. run execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},{"text":" Modifier Categories","color":"#E4EB18","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

#> Modifiers
## You social distance (2020_mode)
execute unless score 2020_mode minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/config"}},{"text":"You social distance","bold":false,"color":"#aff4ff","hoverEvent": {"action":"show_text","contents":[{"text":"2020 all over again! If you go near players, you'll take damage. This makes co-op and PvP more complicated. No more charging in with a netherite axe and Strength II. Get creative! Use your bow, or even some explosive snowballs!","color":"#ECEFF5"}]}}]



execute if score 2020_mode minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/2020_mode/config"}},{"text":"You social distance","bold":false,"color":"#aff4ff","hoverEvent": {"action":"show_text","contents":[{"text":"2020 all over again! If you go near players, you'll take damage. This makes co-op and PvP more complicated. No more charging in with a netherite axe and Strength II. Get creative! Use your bow, or even some explosive snowballs!","color":"#ECEFF5"}]}}]

## Bedrock spawns beneath your feet (bedrock_touch)
execute unless score bedrock_touch minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/bedrock_touch/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"A simple, yet annoying modifier: blocks below you turn into bedrock. Now you actually can't dig straight down! This modifier was inspired by my dislike of Minecraft: Bedrock Edition. This modifier is almost as annoying as Minecoins and the Minecraft Store!","color":"#ECEFF5"}]}},{"text":"Bedrock spawns beneath your feet","bold":false,"color":"#bcecf5","hoverEvent": {"action":"show_text","contents":[{"text":"A simple, yet annoying modifier: blocks below you turn into bedrock. Now you actually can't dig straight down! This modifier was inspired by my dislike of Minecraft: Bedrock Edition. This modifier is almost as annoying as Minecoins and the Minecraft Store!","color":"#ECEFF5"}]}}]


execute if score bedrock_touch minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/bedrock_touch/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"A simple, yet annoying modifier: blocks below you turn into bedrock. Now you actually can't dig straight down! This modifier was inspired by my dislike of Minecraft: Bedrock Edition. This modifier is almost as annoying as Minecoins and the Minecraft Store!","color":"#ECEFF5"}]}},{"text":"Bedrock spawns beneath your feet","bold":false,"color":"#bcecf5","hoverEvent": {"action":"show_text","contents":[{"text":"A simple, yet annoying modifier: blocks below you turn into bedrock. Now you actually can't dig straight down! This modifier was inspired by my dislike of Minecraft: Bedrock Edition. This modifier is almost as annoying as Minecoins and the Minecraft Store!","color":"#ECEFF5"}]}}]

## Mobs explode into confetti when they die (confetti_funeral)
execute unless score confetti_funeral minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/confetti_funeral/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Why can't death be fun? Mobs explode into a cloud of confetti when they die! ","color":"#ECEFF5"}]}},{"text":"Mobs explode into confetti when they die","bold":false,"color":"#cae3eb","hoverEvent": {"action":"show_text","contents":[{"text":"Why can't death be fun? Mobs explode into a cloud of confetti when they die! ","color":"#ECEFF5"}]}}]


execute if score confetti_funeral minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/confetti_funeral/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Why can't death be fun? Mobs explode into a cloud of confetti when they die! ","color":"#ECEFF5"}]}},{"text":"Mobs explode into confetti when they die","bold":false,"color":"#cae3eb","hoverEvent": {"action":"show_text","contents":[{"text":"Why can't death be fun? Mobs explode into a cloud of confetti when they die! ","color":"#ECEFF5"}]}}]

## Colors kill you (deadly_colors)
execute unless score deadly_colors minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/config"}},{"text":"Colors kill you","bold":false,"color":"#d7dbe1","hoverEvent": {"action":"show_text","contents":[{"text":"According to Prof. H. D. Magnomore, recent solar flares have increased the radioactivity of highly energetic colors. Magnomore advises people to limit their exposures to lethal colors.","color":"#ECEFF5"}]}}]



execute if score deadly_colors minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/deadly_colors/config"}},{"text":"Colors kill you","bold":false,"color":"#d7dbe1","hoverEvent": {"action":"show_text","contents":[{"text":"According to Prof. H. D. Magnomore, recent solar flares have increased the radioactivity of highly energetic colors. Magnomore advises people to limit their exposures to lethal colors.","color":"#ECEFF5"}]}}]

## Arrows are fast (fast_arrows)
execute unless score fast_arrows minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fast_arrows/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Arrows fly nearly instantly!","color":"#ECEFF5"}]}},{"text":"Arrows are fast","bold":false,"color":"#e4d3d6","hoverEvent": {"action":"show_text","contents":[{"text":"Arrows fly nearly instantly!","color":"#ECEFF5"}]}}]


execute if score fast_arrows minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/fast_arrows/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Arrows fly nearly instantly!","color":"#ECEFF5"}]}},{"text":"Arrows are fast","bold":false,"color":"#e4d3d6","hoverEvent": {"action":"show_text","contents":[{"text":"Arrows fly nearly instantly!","color":"#ECEFF5"}]}}]

## Time randomly freezes (frozen_time)
execute unless score frozen_time minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/frozen_time/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Time randomly freezes, with only players unfrozen. Use this to your advantage! ","color":"#ECEFF5"}]}},{"text":"Time randomly freezes","bold":false,"color":"#f2cacc","hoverEvent": {"action":"show_text","contents":[{"text":"Time randomly freezes, with only players unfrozen. Use this to your advantage! ","color":"#ECEFF5"}]}}]


execute if score frozen_time minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/frozen_time/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Time randomly freezes, with only players unfrozen. Use this to your advantage! ","color":"#ECEFF5"}]}},{"text":"Time randomly freezes","bold":false,"color":"#f2cacc","hoverEvent": {"action":"show_text","contents":[{"text":"Time randomly freezes, with only players unfrozen. Use this to your advantage! ","color":"#ECEFF5"}]}}]

## OP blocks spawn below your feet (midas_touch)
execute unless score midas_touch minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/midas_touch/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Midas' touch! Blocks below you turn into valuable blocks! Make way for clickbaity YouTube videos! Make way!","color":"#ECEFF5"}]}},{"text":"OP blocks spawn below your feet","bold":false,"color":"#ffc2c2","hoverEvent": {"action":"show_text","contents":[{"text":"Midas' touch! Blocks below you turn into valuable blocks! Make way for clickbaity YouTube videos! Make way!","color":"#ECEFF5"}]}}]


execute if score midas_touch minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/midas_touch/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Midas' touch! Blocks below you turn into valuable blocks! Make way for clickbaity YouTube videos! Make way!","color":"#ECEFF5"}]}},{"text":"OP blocks spawn below your feet","bold":false,"color":"#ffc2c2","hoverEvent": {"action":"show_text","contents":[{"text":"Midas' touch! Blocks below you turn into valuable blocks! Make way for clickbaity YouTube videos! Make way!","color":"#ECEFF5"}]}}]

## Time only moves when you move (superhot)
execute unless score superhot minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/superhot/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Time moves when you move! Time freezes when you freeze! Just like SUPERHOT (a very good game).","color":"#ECEFF5"}]}},{"text":"Time only moves when you move","bold":false,"color":"#ffc2c2","hoverEvent": {"action":"show_text","contents":[{"text":"Time moves when you move! Time freezes when you freeze! Just like SUPERHOT (a very good game).","color":"#ECEFF5"}]}}]


execute if score superhot minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/superhot/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Time moves when you move! Time freezes when you freeze! Just like SUPERHOT (a very good game).","color":"#ECEFF5"}]}},{"text":"Time only moves when you move","bold":false,"color":"#ffc2c2","hoverEvent": {"action":"show_text","contents":[{"text":"Time moves when you move! Time freezes when you freeze! Just like SUPERHOT (a very good game).","color":"#ECEFF5"}]}}]

