#> minecraft_but.core:menu/modifiers/core/teleporting
# List of Teleporting (teleporting) modifiers. This file is automatically generated.
# @within minecraft_but.core:menu/**
# @context menu player

#> Click sound
function minecraft_but.core:menu/actions/click

#> Update page score
scoreboard players set @s minecraft_but.menu.page 12

#> Disable sendCommandFeedback
gamerule sendCommandFeedback false

#> Set sendCommandFeedback back next tick
schedule function minecraft_but.core:menu/actions/enable_feedback 1t append

#> Header

# If there are no expansion loaded, clicking top bar sends player back to main menu.
# Doing this gets rid of that unnecessary step between directory and page 1 here.
execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},{"text":" Teleporting","color":"#C300FF","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/actions/back_to_main"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the main menu.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

# If there is an expansion loaded, clicking top bar sends the player to the modifiers directory
# which has links to the different expansion packs' modifiers pages.
execute if score $total minecraft_but.expansion matches 1.. run execute unless score $total minecraft_but.expansion matches 1.. run tellraw @s ["\n\n\n\n\n\n\n\n\n\n\n\n",{"text":"---------------------------------------------","color":"#0F21C6"},"\n",{"text":"←|","color":"#ECEFF5","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},{"text":" Modifier Categories","color":"#E4EB18","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/directory"},"hoverEvent":{"action":"show_text","contents":[{"text":"Click here to go back to the modifiers category page.","color":"#ECEFF5"}]}},"\n",{"text":"---------------------------------------------","color":"#0F21C6"}]

#> Modifiers
## Players swap places periodically (Death Swap) (death_swap)
execute unless score death_swap minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/config"}},{"text":"Players swap places periodically (Death Swap)","bold":false,"color":"#ff51ec","hoverEvent": {"action":"show_text","contents":[{"text":"","color":"#ECEFF5"}]}}]



execute if score death_swap minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/death_swap/config"}},{"text":"Players swap places periodically (Death Swap)","bold":false,"color":"#ff51ec","hoverEvent": {"action":"show_text","contents":[{"text":"","color":"#ECEFF5"}]}}]

## You teleport when you get hurt (ender_blood)
execute unless score ender_blood minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/config"}},{"text":"You teleport when you get hurt","bold":false,"color":"#e35cf2","hoverEvent": {"action":"show_text","contents":[{"text":"After being infused with ender man blood, you teleport when you get hurt just like an ender man! This can save you in tough situations, but it can also get you lost!","color":"#ECEFF5"}]}}]



execute if score ender_blood minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/ender_blood/config"}},{"text":"You teleport when you get hurt","bold":false,"color":"#e35cf2","hoverEvent": {"action":"show_text","contents":[{"text":"After being infused with ender man blood, you teleport when you get hurt just like an ender man! This can save you in tough situations, but it can also get you lost!","color":"#ECEFF5"}]}}]

## Mobs randomly TP to you (mobs_tp_to_you)
execute unless score mobs_tp_to_you minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/mobs_tp_to_you/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Mobs will randomly TP to players. This means all mobs, even zombies and creepers! Be prepared!","color":"#ECEFF5"}]}},{"text":"Mobs randomly TP to you","bold":false,"color":"#c667f9","hoverEvent": {"action":"show_text","contents":[{"text":"Mobs will randomly TP to players. This means all mobs, even zombies and creepers! Be prepared!","color":"#ECEFF5"}]}}]


execute if score mobs_tp_to_you minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/mobs_tp_to_you/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Mobs will randomly TP to players. This means all mobs, even zombies and creepers! Be prepared!","color":"#ECEFF5"}]}},{"text":"Mobs randomly TP to you","bold":false,"color":"#c667f9","hoverEvent": {"action":"show_text","contents":[{"text":"Mobs will randomly TP to players. This means all mobs, even zombies and creepers! Be prepared!","color":"#ECEFF5"}]}}]

## You randomly teleport (random_teleport)
execute unless score random_teleport minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/on"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/config"}},{"text":"You randomly teleport","bold":false,"color":"#aa72ff","hoverEvent": {"action":"show_text","contents":[{"text":"Ever wanted to randomly teleport? No? Well now you can!","color":"#ECEFF5"}]}}]



execute if score random_teleport minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/off"}},{"text":"[","color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/config"}},{"text":"⚙","bold":true,"color":"#CACACA","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/config"}},{"text":"] ","color":"#CACACA","bold":false,"clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/random_teleport/config"}},{"text":"You randomly teleport","bold":false,"color":"#aa72ff","hoverEvent": {"action":"show_text","contents":[{"text":"Ever wanted to randomly teleport? No? Well now you can!","color":"#ECEFF5"}]}}]

## You randomly teleport to other dimensions (teleport_chorus)
execute unless score teleport_chorus minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✖] ","bold":false,"color":"#FF0000","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/teleport_chorus/on"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Players randomly teleport to other dimensions with configurable triggers. When you get hurt? Go for it! Randomly? Go for it! Every X minutes? Go for it! Configure this modifier to your dreams.\n\nPro tips: Build a nether portal ASAP. Always be equipped. A visit to the end could, and likely will, mean your death. Try to get good armor, at least iron, as fast as possible. Bring a bunch of beds with you -- they explode the nether and the end. If you get teleported to the nether and you're smart, you'll trade with piglins to get obsidian and kill mobs to get a fire charge to build a portal.\n\nNOTE: Unfortunately not compatible with non-vanilla dimensions. Although, if you REALLY want a dimension to be compatible with this, leave a comment on PlanetMinecraft or submit an issue on GitHub.","color":"#ECEFF5"}]}},{"text":"You randomly teleport to other dimensions","bold":false,"color":"#aa72ff","hoverEvent": {"action":"show_text","contents":[{"text":"Players randomly teleport to other dimensions with configurable triggers. When you get hurt? Go for it! Randomly? Go for it! Every X minutes? Go for it! Configure this modifier to your dreams.\n\nPro tips: Build a nether portal ASAP. Always be equipped. A visit to the end could, and likely will, mean your death. Try to get good armor, at least iron, as fast as possible. Bring a bunch of beds with you -- they explode the nether and the end. If you get teleported to the nether and you're smart, you'll trade with piglins to get obsidian and kill mobs to get a fire charge to build a portal.\n\nNOTE: Unfortunately not compatible with non-vanilla dimensions. Although, if you REALLY want a dimension to be compatible with this, leave a comment on PlanetMinecraft or submit an issue on GitHub.","color":"#ECEFF5"}]}}]


execute if score teleport_chorus minecraft_but.toggle matches 1 run tellraw @s [{"text":" [✔] ","bold":false,"color":"#3ED011","clickEvent":{"action":"run_command","value":"/function minecraft_but.core:menu/modifiers/core/teleport_chorus/off"}},{"text":"     ","hoverEvent": {"action":"show_text","contents":[{"text":"Players randomly teleport to other dimensions with configurable triggers. When you get hurt? Go for it! Randomly? Go for it! Every X minutes? Go for it! Configure this modifier to your dreams.\n\nPro tips: Build a nether portal ASAP. Always be equipped. A visit to the end could, and likely will, mean your death. Try to get good armor, at least iron, as fast as possible. Bring a bunch of beds with you -- they explode the nether and the end. If you get teleported to the nether and you're smart, you'll trade with piglins to get obsidian and kill mobs to get a fire charge to build a portal.\n\nNOTE: Unfortunately not compatible with non-vanilla dimensions. Although, if you REALLY want a dimension to be compatible with this, leave a comment on PlanetMinecraft or submit an issue on GitHub.","color":"#ECEFF5"}]}},{"text":"You randomly teleport to other dimensions","bold":false,"color":"#aa72ff","hoverEvent": {"action":"show_text","contents":[{"text":"Players randomly teleport to other dimensions with configurable triggers. When you get hurt? Go for it! Randomly? Go for it! Every X minutes? Go for it! Configure this modifier to your dreams.\n\nPro tips: Build a nether portal ASAP. Always be equipped. A visit to the end could, and likely will, mean your death. Try to get good armor, at least iron, as fast as possible. Bring a bunch of beds with you -- they explode the nether and the end. If you get teleported to the nether and you're smart, you'll trade with piglins to get obsidian and kill mobs to get a fire charge to build a portal.\n\nNOTE: Unfortunately not compatible with non-vanilla dimensions. Although, if you REALLY want a dimension to be compatible with this, leave a comment on PlanetMinecraft or submit an issue on GitHub.","color":"#ECEFF5"}]}}]

